LibreOffice LibreOffice 4.3 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Namespaces
compbase3.hxx File Reference
`#include <cppuhelper/implbase3.hxx>`
`#include <cppuhelper/compbase_ex.hxx>`

Go to the source code of this file.

## Classes
class | cppu::WeakComponentImplHelper3< Ifc1, Ifc2, Ifc3 >
| Implementation helper supporting com::sun::star::lang::XTypeProvider and com::sun::star::lang::XComponent. More...
class | cppu::PartialWeakComponentImplHelper3< Ifc1, Ifc2, Ifc3 >
| Same as WeakComponentImplHelper3, except doesn't implement addEventListener, removeEventListener and dispose. More...
class | cppu::WeakAggComponentImplHelper3< Ifc1, Ifc2, Ifc3 >
| Implementation helper supporting com::sun::star::lang::XTypeProvider and com::sun::star::lang::XComponent. More...

## Namespaces
| cppu